slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVDotVecBegin

Starts a split phase dot product computation.

### Synopsis

    #include "slepcbv.h"
    PetscErrorCode BVDotVecBegin(BV X,Vec y,PetscScalar *m)

### Input Parameters

| X | - basis vectors
| y | - a vector
| m | - an array where the result will go (can be NULL)

### Note

Each call to BVDotVecBegin() should be paired with a call to BVDotVecEnd().

### See Also

BVDotVecEnd(), BVDotVec()

### Level

advanced

### Location

src/sys/classes/bv/interface/bvglobal.c
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages